Skip to content
Start here

List Account Providers

GET/accounts/{account_id}/ai-gateway/custom-providers

Lists all AI Gateway evaluator types configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
beta: optional boolean
enable: optional boolean
page: optional number
minimum1
per_page: optional number
maximum100
minimum1
ReturnsExpand Collapse
result: array of object { id, base_url, created_at, 12 more }
id: string
formatuuid
base_url: string
formaturi
created_at: string
formatdate-time
modified_at: string
formatdate-time
name: string
slug: string
beta: optional boolean
curl_example: optional string
description: optional string
enable: optional boolean
headers: optional string
maxLength8192
js_example: optional string
position: optional number
success: boolean

List Account Providers

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai-gateway/custom-providers \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "base_url": "https://example.com",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "slug": "slug",
      "beta": true,
      "curl_example": "curl_example",
      "description": "description",
      "enable": true,
      "headers": "headers",
      "js_example": "js_example",
      "link": "link",
      "logo": "logo",
      "position": 0
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "base_url": "https://example.com",
      "created_at": "2019-12-27T18:11:19.117Z",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "name": "name",
      "slug": "slug",
      "beta": true,
      "curl_example": "curl_example",
      "description": "description",
      "enable": true,
      "headers": "headers",
      "js_example": "js_example",
      "link": "link",
      "logo": "logo",
      "position": 0
    }
  ],
  "success": true
}